Workspace · Usage

Get plan and usage snapshot (plan, limits, payment status)

Fetches plan and usage snapshot (plan, limits, payment status).

GEThttps://api.pozy.ai/v1/usage-stats
DeprecatedgetUsageStats

Guide: Usage and spend

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the billing resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
reconcileboolean

Example

curl -X GET "https://api.pozy.ai/v1/usage-stats" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • billingSystemstring

    One of stripe, metronome.

  • planNamestring
  • billingPeriodstring

    One of monthly, yearly.

  • signupDatestring (date-time)
  • billingAnchorDayinteger
  • hasAccessboolean
  • customerIdstring

    Can be null.

  • isInvitedUserboolean
  • autoUpgradeEnabledboolean
  • limitsobject
    • uploadsinteger
    • profilesinteger
  • usageobject
    • uploadsinteger
    • profilesinteger
    • lastResetstring (date-time)
    • connectedAccountsinteger
    • xApiCallsobjectdeprecated
      3 child fields
      • x_api_005integer
      • x_api_010integer
      • x_api_015integer
    • xApiCallsByOperationmap of integer
  • spendobject
    • currentPeriodCentsinteger
    • creditsRemainingCentsinteger
    • xSpendCentsinteger
    • xSpendLimitCentsinteger

      Can be null.

200 response
{
  "billingSystem": "stripe",
  "planName": "Acme",
  "billingPeriod": "monthly",
  "signupDate": "2026-10-02T09:00:00.000Z",
  "billingAnchorDay": 1,
  "hasAccess": true,
  "customerId": "691909ff82eb5ed7c816716d",
  "isInvitedUser": true,
  "autoUpgradeEnabled": true,
  "limits": {
    "uploads": 1,
    "profiles": 1
  },
  "usage": {
    "uploads": 1,
    "profiles": 1,
    "lastReset": "2026-10-02T09:00:00.000Z",
    "connectedAccounts": 42,
    "xApiCalls": {
      "x_api_005": 1,
      "x_api_010": 1,
      "x_api_015": 1
    },
    "xApiCallsByOperation": {
      "key": 1
    }
  },
  "spend": {
    "currentPeriodCents": 1,
    "creditsRemainingCents": 1,
    "xSpendCents": 1,
    "xSpendLimitCents": 1
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Usage